function buildprob(Path)
  if part(Path,length(Path))<>'/' then Path=Path+'/',end
  toolspath=get_sif_path()+'src/tools/'
  Files=basename(listfiles(Path+'*.f'))
  name='libCUTEr'
  Makename=ilib_gen_Make(name,list(),Files,[],Path+'Makefile',%f,'','','')
  problibn=ilib_compile(name,Makename) 

  //I was not able to make link work with .so files
  funs=['usetup','udimen','unames1','uvarty','ufn','ugr','uofg','udh','ugrdh',..
	'ureprt','uprod','udimsh','ush1','ubandh',..
	'csetup','cdimen','cnames1','cvarty','cfn','cgr','cofg','cdh',..
	'cgrdh','creprt','cprod','ccfg','ccfsg1','ccifg', 'ccifsg','cidh','cish' ]
  unlink('siftools')
  addinter([toolspath+'siftools.o';
	toolspath+'libsiftools.a'
	Path+name+'.a'],'siftools',funs)
endfunction
